#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 2019/12/29 0029 下午 3:01
# @Author  : hj
# @File    : IndexGet.py
# @Software: PyCharm
import pymysql,os
from IndexItem import IndexItem

env_dist = os.environ           #获取环境变量
FK_DB_HOST = env_dist.get('FK_DB_HOST')      #获取mysql地址
FK_DB_PORT = env_dist.get('FK_DB_PORT')      #获取mysql端口号
FK_DB_USER = env_dist.get('FK_DB_USER')      #获取mysql用户名
FK_DB_PWD = env_dist.get('FK_DB_PWD')      #获取mysql密码
FK_DB_NAME = env_dist.get('FK_DB_NAME')   #获取mysql库


class IndexGet:
    conn = pymysql.connect(host=FK_DB_HOST,port=int(FK_DB_PORT),user=FK_DB_USER,password=FK_DB_PWD,db=FK_DB_NAME,charset="utf8mb4")
    # conn = pymysql.connect(host='47.105.186.2',port=3307,user='caishui',password='jvmfTVDuG5YE(*Z',db='fktaxctl',charset="utf8mb4")
    #检索财税03的情况：
    def Subscribe(self,span,company_type):
        cursor = self.conn.cursor()
        list = []
        sql = "SELECT * from gongshi2 WHERE span = %s and vat_type = %s order by indexName;"
        try:
            # 执行SQL语句
            cursor.execute(sql,[span,company_type])
            # 获取所有记录列表
            results = cursor.fetchall()
            # for row in results[1:2]:
            for row in results:
                indexItem=IndexItem()
                indexItem.id = row[0]
                indexItem.Name = row[1]
                indexItem.IndexName = row[2]
                funs = str(row[3])
                if "max" not in funs and "min" not in funs:
                    funs=str(row[3]).replace("\n","").replace("；",";").replace(")]","))").replace("AND","and").replace("OR","or").replace("[(","((").replace("＞",">").replace("＜","<").split(";")
                else:
                    funs=str(row[3]).replace("\n","").replace("；",";").replace("AND","and").replace("OR","or").replace("＞",">").replace("＜","<").split(";")
                funsGrp=[]
                for fun in funs:
                    funsGrp.append(fun)
                indexItem.Funs=funsGrp
                indexItem.Factors = row[4]
                indexItem.Span = row[5]
                indexItem.Type = row[6]
                indexItem.Category = row[8]
                list.append(indexItem)
        except:
            print("Error: unable to fetch data")
            return ("Error: unable to fetch data")
        finally:
            cursor.close()
        return list
    def close(self):
        self.conn.close()